Get product
Retrieves the details of an existing product by its ID.
GET
/v1/products/:productIdAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
productId*string
Unique identifier. Must be in BSON ObjectId format.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/products/:productId"{
"data": {
"id": "507f1f77bcf86cd799439011",
"type": "charge",
"title": "Premium Course",
"description": "string",
"sku": "string",
"price": {
"amount": 4900,
"currency": "usd",
"payWhatYouWant": true,
"pricingType": "single",
"discountedFromPrice": 0,
"setupFee": 0,
"setupFeeMultipliesWithQuantity": true,
"recurring": {
"interval": "month",
"intervalCount": 1,
"trialPeriodDays": 0,
"billingCycleAnchorConfig": {
"enabled": true,
"dayOfMonth": 1,
"month": 1
},
"startDate": "2026-02-25T06:40:09.463Z"
},
"paymentPlan": {
"interval": "month",
"intervalCount": 1,
"trialPeriodDays": 0,
"billingCycleAnchorConfig": {
"enabled": true,
"dayOfMonth": 1,
"month": 1
},
"planIterations": 0,
"startDate": "2026-02-25T06:40:09.463Z"
}
},
"taxBehavior": "exclusive",
"taxCode": "string",
"media": [
{
"fileId": "string",
"url": "https://bucket-name.s3.amazonaws.com/image.jpg",
"name": "product-image.jpg",
"size": 245678,
"width": 1920,
"height": 1080
}
],
"fileIds": [
"507f1f77bcf86cd799439011"
],
"variants": [
{
"id": "507f1f77bcf86cd799439011",
"name": "Plan Type",
"required": true,
"status": "enabled",
"options": [
{
"id": "507f1f77bcf86cd799439011",
"name": "Basic",
"status": "enabled",
"description": "string",
"image": {
"fileId": "507f1f77bcf86cd799439011",
"url": "https://cdn.example.com/image.png",
"name": "product-image.png",
"width": 0,
"height": 0,
"size": 0
},
"additionalChargeAmount": 1000,
"sku": "string",
"stock": 0,
"type": "one_time",
"payWhatYouWant": false,
"pwywSuggestedPrice": 2500,
"fileIds": [
"65f4a1c2e4a9f3d2b1c0a9e8"
]
}
],
"order": 0,
"reference": "fd3136f8-da1f-4a4c-b381-32a097b60c38",
"selectionType": "single",
"increasesWithQuantity": true,
"useVariantOptionSkus": true,
"manageVariantOptionStock": true,
"hidden": true,
"preselect": {
"enabled": true,
"optionId": "pro-option",
"quantity": 1
},
"showHideLogic": {
"enabled": true,
"comparison": "is",
"value": "pro-option",
"element": {
"elementId": "select-package-tier"
}
},
"layout": {
"variantOptionLayout": "list",
"collapseVariantOptions": false,
"variantOptionColumns": 2,
"showVariantName": true,
"showVariantOptionNames": true,
"showVariantOptionPrices": true,
"showVariantOptionPriceSign": true,
"showPwywPlaceholder": true,
"textAlign": "left",
"spacing": "comfortable",
"imageSize": "small"
}
}
],
"discounts": [
{
"quantityCondition": "checkout_quantity",
"variantOptionIds": [
"507f1f77bcf86cd799439011"
],
"minQuantity": 5,
"maxQuantity": 10,
"percentOff": 10,
"amountOff": 500
}
],
"generateLicenseKeys": true,
"variantsRequired": true,
"stock": 0,
"hasUnlimitedStock": true,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}